﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.LiveFX.Client;
using Microsoft.LiveFX.ResourceModel;


/***************************************************************************

2009 (c) Anytao.com All rights reserved.
By Anytao (anytao@cnblogs.com)

THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.

***************************************************************************/

namespace Anytao.LiveMesh.AppSilverlight
{
    public partial class Page : UserControl
    {
        private MeshApplicationService meshApp;

        public Page()
        {
            InitializeComponent();

            meshApp = Application.Current.GetMeshApplicationService();
            // once mesh contents are loaded we get callback
            meshApp.LoadCompleted += new EventHandler(meshAppLoaded);
            meshApp.LoadAsync();
        }

        // Called when application loads
        void meshAppLoaded(object sender, EventArgs e)
        {
            // Mesh application service object is now loaded and usable.
        }

        // Release : code01, 2009/02/25                    
        // Author  : Anytao, http://www.anytao.com 
        // List    : Page.xaml.cs
        private void btnHello_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(txtInput.Text ?? "Hello, Mesh");
        }
    }
}
